Bug 208675 - Review Request: miau - Full-featured IRC bouncer
Review Request: miau - Full-featured IRC bouncer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-29 22:50 EDT by Jima
Modified: 2008-06-24 22:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-02 18:04:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jima 2006-09-29 22:50:13 EDT
Spec URL: http://beer.tclug.org/fedora-extras/miau/miau.spec
SRPM URL: http://beer.tclug.org/fedora-extras/miau/miau-0.6.2-2.src.rpm
Description: 
miau is a smart and versatile IRC-bouncing tool for *NIX. The difference
between miau and other bouncers is that miau will go on IRC as soon as
it is launched, guarding or attempting to get your nick. Control over
the session can be taken as with other bouncers, by simply connecting to
miau (and providing a password) like you would connect to a normal IRC
server. On disconnect, miau is able to stay in the channels and to
reintroduce them to your client on your next connect. Other handy
features are message logging, flood protection, and DCC bouncing.
Comment 1 Mamoru TASAKA 2006-10-02 13:04:45 EDT
First review of miau:

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :
* Scriptlets requirements
  - This package should require /sbin/install-info as
    Requires(post), Requires(preun).

  - The scriplets of post, postun is incollect.
    1. use || :
    2. don't call "/sbin/install-info --delete" when
       upgrading.
    See the section "Texinfo" of:
    http://fedoraproject.org/wiki/Packaging/ScriptletSnippets

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
* The sources used to build the package must....
  Well, I cannot directly access to 
  http://dl.sf.net/%{name}/%{name}-%{version}.tar.bz2 .
  I prefer like:
  http://umn.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz

3. Other things I have noticed:
* I think "INSTALL" is not needed for document files.
  This is required for installing this.
Comment 2 Mamoru TASAKA 2006-10-02 13:06:16 EDT
Sorry, I meant:
http://umn.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Comment 3 Jima 2006-10-02 13:42:59 EDT
1. You're correct; I've made the recommended changes.

2. This is a widely disputed point.  I'm in the dl.sf.net camp, personally.  I
have qualms with changing it to point at a specific mirror; I can attest that
the U of M mirror has had historical issues, as has Ibiblio.  (Those are the two
I typically use.)  My general belief is that dl.sf.net *usually* points at a
valid mirror, and that any reviewer ought to be able to puzzle out how to get a
tarball if it isn't (as you clearly were).

My informal poll in #fedora-extras found most of the respondants to prefer
dl.sf.net, although there was an undertone that both methods pretty well suck
(which I also agree with).

3. Also a fair point.  I stand corrected.

Updated spec/SRPM can be found at:

http://beer.tclug.org/fedora-extras/miau/miau.spec
http://beer.tclug.org/fedora-extras/miau/miau-0.6.2-3.src.rpm
Comment 4 Mamoru TASAKA 2006-10-02 14:02:57 EDT
(In reply to comment #3)
> 2. This is a widely disputed point.  I'm in the dl.sf.net camp, personally.  
Well, I prefer to specify URL, however, this is not a blocker.

Other things are correctly fixed.

---------------------------------------------------------------------------------
  This package (miau) is APPROVED by me.
Comment 5 Jima 2006-10-02 18:04:08 EDT
Thanks for the fast review!

Imported into CVS, added to owners.list, built for devel, and requested FC-5
branch.  All systems go.

Closing with NEXTRELEASE; have a nice day!
Comment 6 Jima 2008-02-29 09:59:48 EST
Package Change Request
======================
Package Name: miau
New Branches: EL-5

Thanks!
Comment 7 Kevin Fenzi 2008-02-29 11:56:58 EST
cvs done.
Comment 8 Jima 2008-06-24 22:19:55 EDT
Package Change Request
======================
Package Name: miau
New Branches: EL-4 EL-5
Comment 9 Kevin Fenzi 2008-06-24 22:43:51 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.